html {
    font-size: 16px;
}

body {
    /* aplica margem 0 nos 4 lados */
    margin: 0;
}
main {
    /* margem de 3rem no top da tag main */
    margin-top: 3rem;;
}

.barra-navegacao li {
    list-style-type: none;
    /* exibe o elemento em linha*/
    display: inline-block;
    /* adiciona margem na lateral */
    margin: 0 0.5rem;
    /* define a altura em 2rem */
    height: 2rem;
    /* define a altura da linha em 2rem */
    line-height: 2rem;
}

.barra-navegacao ul {
    /* define margem 0 nas 4 laterais */
    margin: 0;
    /* remove o espaçamento */
    padding: 0;
    /* move o elemento pro lado direito, faz o elemento flutuar, quando reduz a pagina o conteudo acompanha */
    float: right;
}

.barra-navegacao a {
    /* remove decoração do texto, exemplo o sublinado do link */
    text-decoration: none;
}

.barra-navegacao a:active {
    text-decoration: white;
}

.barra-navegacao a:hover {
    /* remove a decoração do texto */
    text-decoration: none;
    /* não mostra branco porque nao da tempo de tirar o mouse de cima */
    color: red;
}

.barra-navegacao a img {
    /* define largura do elemento em 2 rem (2*16px)*/
    width: 2rem;
    /* define a altura do elemento */
    height: 2rem;
    /* alinha a imagem ao centro da linha em relação ao texto */
    vertical-align: middle;
}

.barra-navegacao a span {
    /* define a margem esquerda em 0.5rem */
    margin-left: 0.5rem;
    /* deixa a fonte em negrito */
    font-weight: bold;
}

.cabecalho {
    /* altera a cor de fundo */
    background-color: gray;
    /* adiciona preenchimento nos 4 lados */
    padding: 0.5rem;
    /* fixa o elemento em uma posição, o cabeçalho fica parado enquanto roda a pagina */
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}